[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVCreateItemClassEvent

Specifies an event handler signalled to get the class type needed to create a new list view item.

## Declaration

Source position: comctrls.pp line 1343

`type TLVCreateItemClassEvent = procedure(`
`Sender: TCustomListView;`
`var ItemClass: TListItemClass`
`) of object;`

## Arguments

`Sender` |  | Object (TCustomListView) for the event notification.
`ItemClass` |  | Class for the new list view item.

## Description

Arguments to the object procedure identify the list view control (Sender) and the class type (ItemClass) used to create new list view items. ItemClass is a variable parameter which is updated in the event handler with the TListItemClass class reference needed for the list view control.

TLVCreateItemClassEvent is the type used for the OnCreateItemClass property in TCustomListView.

## See also

TCustomListView.OnCreateItemClass |  | Event handler signalled to get the class reference used to create new list view items.
TCustomListView.CreateListItem |  | Signals the OnCreateItemClass event handler to get the class type used for new list items, and creates a new list item.
TListItemClass |  | Class reference used to create new instances of TListItem.